<?php
require_once 'inc/cached.php';
cachedTOP(18000);

require_once 'inc/mysqli.php';
include 'inc/functions.php';

$file = $db->getRow('SELECT * FROM files WHERE id = ?i',$_GET['id']);
	
if($_SERVER['REQUEST_URI'] == '/artist.php?id='.$file['id'].'&name='.rus2eng(str2url($file['artist'])).(isset($_GET['page']) ? '&page='.$_GET['page'] : null)){
	header("HTTP/1.1 301 Moved Permanently"); 
	header('Location: /artist/'.$file['id'].'/'.rus2eng(str2url($file['artist'])).'/'.(isset($_GET['page']) ? $_GET['page'].'/' : null));
	exit;
}

if($_GET['page'] == 1){
	header("HTTP/1.1 301 Moved Permanently"); 
	header('Location: /artist/'.$file['id'].'/'.rus2eng(str2url($file['artist'])).'/');
	exit;
}
	
if(empty($file['id'])){
	
	$title = 'Этот исполнитель отсутствует в нашей базе';
	$desc = 'Этот исполнитель отсутствует в нашей базе';
	
	include 'inc/head.php';
	echo '<div class="left-menu"><div class="main-block">Этот исполнитель отсутствует в нашей базе!';
 
	echo '</div>
	<div style="clear: both;"></div>
	</div>';
				
	include 'inc/foot.php'; exit;
}

$title = 'Скачать песни исполнителя '.$file['artist'].' в хорошем качестве или послушать онлайн бесплатно и без регистрации  '.(!empty($_GET['page']) ? ' | Страница '.$_GET['page'] : null);
$desc = 'У нас Вы найдете популярные треки исполнителя '.$file['artist'].' с возможностью бесплатного скачивания или слушать онлайн'.(!empty($_GET['page']) ? ' | Страница '.$_GET['page'] : null);
$key = $file['artist'].', скачать, музыку, треки, популярные, бесплатного, скачивания, слушать, онлайн, mp3, музыканты, исполнитель';

if($file['id'] != $file['canonical_artist']){
	$canonical = 'artist/'.$file['canonical_artist'].'/'.rus2eng(str2url($file['artist'])).'/';
}
if($file['id'] == $file['canonical_artist'] and $_GET['page'] >= 2){
	$canonical = 'artist/'.$file['canonical_artist'].'/'.rus2eng(str2url($file['artist'])).'/';
}
include 'inc/head.php';
?>

<div class="left-menu">
<div class="blok-speedbar">  
<span id="speedbar">
  <span itemscope itemtype="https://www.schema.org/SiteNavigationElement">
	<span itemprop="name"><a href="/" itemprop="url">Главная</a></span> 
	  » <span itemprop="name"><a href="/artist-all/" itemprop="url">Исполнители</a></span> 
	  » <?=$file['artist']?><?=(!empty($_GET['page']) ? ' | Страница '.intval($_GET['page']) : null)?>
	</span>
</span>
</div>
  <div class="main-block">
    <div class="block-title"><h1>Исполнитель <?=$file['artist']?></h1><img src="<?=URL?>style/img/title.png" alt="<?=$file['artist']?>"></div>
        <ul class="playlist" itemscope itemtype="https://schema.org/MusicGroup">

			<?php 
				$num = set('pages', $db); 
				$posts  = $db->query("SELECT `id` FROM `files` WHERE `artist` = ?s", $file['artist']);
				$total = intval(($db->numRows($posts) - 1) / $num) + 1; 
				$page = (isset($_GET['page']) ? intval($_GET['page']) : 1);
				if(empty($page) or $page < 0) $page = 1;  
				if($page > $total) $page = $total; 
				$start = $page * $num - $num;
				total_page($_GET['page'],$total,'/artist/'.$file['id'].'/'.rus2eng(str2url($file['artist'])).'/'.$total.'/');
				
				$data = $db->getAll("SELECT * FROM `files` WHERE `artist` = ?s ORDER BY `year` DESC LIMIT ?i, ?i", $file['artist'], $start, $num);
				foreach($data as $file){
					
				$time_schema = explode(':', $file['playtime_string']);
			?>
			
				<li itemprop="track" itemscope itemtype="https://schema.org/MusicRecording">
				<meta itemprop="name" content="<?=$file['artist']?> - <?=$file['title']?>">
				
                    <div class="playlist-btn">
						<a rel="nofollow" href="javascript:void(0);" class="playlist-play no-ajax" data-url="<?=URL?>play/<?=base64_encode($file['filename'])?>/" title="Слушать <?=$file['name_full']?>">(Слушать <?=$file['name_full']?>)</a>
                    </div>

                    <div class="playlist-right">
                        <span class="playlist-duration" itemprop="duration" content="PT<?=$time_schema[0]?>M<?=$time_schema[1]?>S"><?=$file['playtime_string']?></span>
                    </div>
				
				<a itemprop="url" href="/song/<?=$file['id']?>/<?=rus2eng(str2url($file['artist'].' '.$file['title']))?>/">
                    <div class="playlist-name marquee">
						<span class="playlist-name-artist"><b><?=$file['artist']?></b></span><br />
						<span class="playlist-name-title"><em><?=$file['title']?></em></span>
                    </div>
				</a>
                </li>
			
			<?php } ?>
        </ul>
<?=page('/artist/'.$_GET['id'].'/'.$_GET['name'].'/',$total,$page);?>
</div>
<div style="clear: both;"></div>
</div>

<?php include 'inc/right.php'; ?>

<?php include 'inc/foot.php'; ?>